Collator::getErrorCode
Collator::getLocale
Collator
PHP Manual

# Collator::getErrorMessage

# collator_get_error_message

(No version information available, might be only in CVS)

Collator::getErrorMessage -- collator_get_error_message — Get text for collator's last error code

### Description

Object oriented style

string Collator::getErrorMessage ( void )

Procedural style

string collator_get_error_message ( Collator `$coll` )

Retrieves the message for the last error.

### Parameters

`coll`

  Collator object.

### Return Values

Description of an error occurred in the last Collator API function call.

### Examples

Example #1 collator_get_error_message() example

`<?php
$coll = collator_create( 'lt' );
if( collator_compare( $coll, 'y', 'k' ) === false ) {
echo collator_get_error_message( $coll );
}
?>`

### See Also

- collator_get_error_code()

Collator::getErrorCode
Collator::getLocale
Collator
PHP Manual